################################################################################

{{- $processingFirst := (keys .Values.processing.jobs) | first }}
{{- range $key, $job := .Values.processing.jobs }}

{{- if ne $key $processingFirst }}
---
{{- end }}

apiVersion: v1
kind: ConfigMap
metadata:
  name: "{{ $.Release.Name }}-processing-{{ $key }}-php-overrides"
  labels:
    k8s.bitservices.io/processing: "{{ $key }}"
{{- include "php-nginx.processing.labels" $ | indent 4 }}
data:
  php_overrides.ini: |
{{ tpl ($.Files.Get "files/processing/php/php_overrides.ini.tpl") $ | indent 4 }}

{{- end }}

################################################################################
